#7 Complete lockup with MMIO enabled

important
closed-fixed
8139too (65)
5
2001-04-14
2001-01-16
No

Kernel is 2.4.0.
8139too is version 0.9.14
NIC: Dfe-538tx

Case:
With no modifications to source
"modprobe 8139too" locks my computer completely. Reboot needed.

Temp fix that stopped the crash while loading the module
Enabled PIO instead of MMIO mode.
#define CONFIG_8139TOO_PIO 1

The HW is pretty old. (Pentium 75)
output from /usr/bin/lspci:
00:00.0 Class 0406: Silicon Integrated Systems [SiS] 85C501/2 (rev 39)

00:01.0 Non-VGA unclassified device: Silicon Integrated Systems [SiS] 85C503/5513

00:0d.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139 (rev 10)

00:0f.0 Unknown mass storage controller: Promise Technology, Inc. 20262 (rev 01)

00:11.0 Ethernet controller: VIA Technologies, Inc. VT86C100A [Rhine 10/100] (rev 06)

00:13.0 IDE interface: Quantum Designs (H.K.) Ltd QD-8580 (rev 01)

I suspect my SiS chipset causes this problem.

Discussion

  • Jeff Garzik

    Jeff Garzik - 2001-01-18
    • assigned_to: nobody --> jgarzik
     
  • Frej Soya Rasmussen

    Great. I tested again with kernel 2.4.1-ac1
    Works like a charm.

     
  • Jeff Garzik

    Jeff Garzik - 2001-04-14

    Logged In: YES
    user_id=17443

    This problem is fixed in the latest version of the driver. You
    can download the driver from the download section on this
    SourceForge web page.

     
  • Jeff Garzik

    Jeff Garzik - 2001-04-14
    • status: open --> closed-fixed
     

Log in to post a comment.